Get next crypto deposit account order
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/crypto/next_order \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/crypto/next_order")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/crypto/next_order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/crypto/next_order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/crypto/next_order"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"order": {
"id": "f7e8d9c0-b1a2-4344-8566-778899aabbcc",
"status": "pending"
}
}Crypto
Get next crypto deposit account order
Fetch the earliest crypto deposit-account sweep into the path wallet after a timestamp.
GET
/
v1
/
wallets
/
{wallet_id}
/
deposit_accounts
/
crypto
/
next_order
Get next crypto deposit account order
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
ID of the wallet.
Query Parameters
Return the earliest sweep strictly after this timestamp.
Response
200 - application/json
The next sweep, with the same {id, status} object as GET order, or null if none after after.
The next crypto deposit-account sweep into the path wallet after after, or null if none. The order object matches GET order.
A crypto deposit-account sweep identified by its wallet action ID. Status is the wallet-action status.
Show child attributes
Show child attributes
Was this page helpful?

